Name:           perl-Socket-Netlink
Version:        0.04
Release:        3%{?dist}
Summary:        Interface to Linux's PF_NETLINK socket family
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/Socket-Netlink/
Source0:        http://www.cpan.org/authors/id/P/PE/PEVANS/Socket-Netlink-%{version}.tar.gz
# Fix nlmsgerr length check, CPAN RT#118688
Patch0:         Socket-Netlink-0.04-Fix-nlmsgerr-length-check.patch
# Fix tests for big endian, CPAN RT#71112
Patch1:         Socket-Netlink-0.04-Fix-tests-for-big-endian.patch

BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  perl
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::CChecker)
BuildRequires:  perl(ExtUtils::H2PM) >= 0.07
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Carp)
BuildRequires:  perl(constant)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(overload)
BuildRequires:  perl(Socket)
BuildRequires:  perl(XSLoader)
# Optional run-time:
BuildRequires:  perl(Sub::Name)
# Tests:
BuildRequires:  perl(Test::HexString)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# Optional run-time:
Requires:       perl(Sub::Name)

## Filter unneeded Provides with RPM 4.8
%{?filter_setup:
%filter_from_provides /^perl(Socket::Netlink::Generic)$/d
}
%{?perl_default_filter}
## Filter unneeded Provides with RPM 4.9
%global __provides_exclude %{?__provides_exclude:__provides_exclude|}^perl\\(Socket::Netlink::Generic\\)$

# For some reason rpmbuild picks this one up as a 'Requires', but not as
# a 'Provides'. Adding it manually or the package fails to install
Provides:       perl(Socket::Netlink::Generic_const) == %{version}


%description
This module contains the low-level constants and structure handling
functions required to use Linux's PF_NETLINK socket family. It is suggested
to use the high-level object interface to this instead; see
IO::Socket::Netlink.


%prep
%setup -q -n Socket-Netlink-%{version}
%patch0 -p1
%patch1 -p1


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes README
%license LICENSE
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Socket*
%{perl_vendorarch}/IO*
%{_mandir}/man3/*


%changelog
* Wed Nov 09 2016 Petr Pisar <ppisar@redhat.com> - 0.04-3
- Fix nlmsgerr length check (CPAN RT#118688)
- Fix tests for big endian (CPAN RT#71112)

* Tue Feb 02 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 0.04-2
- Modernize spec
- Use %%license macro

* Thu Mar 21 2013 Mathieu Bridon <bochecha@fedoraproject.org> - 0.04-1
- New upstream release.

* Wed Sep 21 2011 Mathieu Bridon <bochecha@fedoraproject.org> - 0.03-4
- Do not build on ppc64.

* Mon Sep 19 2011 Mathieu Bridon <bochecha@fedoraproject.org> - 0.03-3
- Fixes based on Remi's review feedback.

* Fri Sep 16 2011 Mathieu Bridon <bochecha@fedoraproject.org> - 0.03-2
- Fixed dubious Provides filtering for RPM 4.8, it was filtering out too much
  and made the package uninstallable.

* Mon Sep 12 2011 Mathieu Bridon <bochecha@fedoraproject.org> - 0.03-1
- Specfile autogenerated by cpanspec 1.78.
- Slightly tweaked the specfile (removed buildroot lines, added missing BR)
- Added explicit Provides that rpmbuild doesn't pick up for some reason.
- Filtered out a dubious Provides.
